Package com.smartgwt.client.ai

# Class DataBoundAIRequest

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationParams
com.smartgwt.client.util.AsyncDataBoundOperationParams
com.smartgwt.client.ai.DataBoundAIRequest

All Implemented Interfaces:
  `HasHandlers`

public class DataBoundAIRequest extends AsyncDataBoundOperationParams

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataBoundAIRequest()`
  `DataBoundAIRequest(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getExcludeFieldNames()`
  Optional list of field names to exclude.
  `Integer`
  `getMaxRetries()`
  The maximum number of retries for any one particular request to AI.
  `static DataBoundAIRequest`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataBoundAIRequest`
  `setExcludeFieldNames(String... excludeFieldNames)`
  Optional list of field names to exclude.
  `DataBoundAIRequest`
  `setMaxRetries(Integer maxRetries)`
  The maximum number of retries for any one particular request to AI.

  ### Methods inherited from class com.smartgwt.client.util.AsyncDataBoundOperationParams

  `getComponent, getDataSource, setComponent, setDataSource`

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationParams

  `getCancellationController, setCancellationController`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataBoundAIRequest

    public DataBoundAIRequest()

  - ### DataBoundAIRequest

    public DataBoundAIRequest(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static DataBoundAIRequest getOrCreateRef(JavaScriptObject jsObj)

  - ### setExcludeFieldNames

    public DataBoundAIRequest setExcludeFieldNames(String... excludeFieldNames)
    Optional list of field names to exclude. This is a deny list.
    Parameters:
      `excludeFieldNames` - New excludeFieldNames value. Default value is null
    Returns:
      `DataBoundAIRequest` instance, for chaining setter calls
    See Also:
      - `FieldName`

  - ### getExcludeFieldNames

    public String[] getExcludeFieldNames()
    Optional list of field names to exclude. This is a deny list.
    Returns:
      Current excludeFieldNames value. Default value is null
    See Also:
      - `FieldName`

  - ### setMaxRetries

    public DataBoundAIRequest setMaxRetries(Integer maxRetries)
    The maximum number of retries for any one particular request to AI.

    Note that multiple AI requests may be involved in processing the data-bound AI request. This limit is the maximum number of retries of any one request. For example, if there are 2 requests made to AI, then each one would be submitted at most `1 + maxRetries` number of times for up to `2 * (1 + maxRetries)` total requests.

    If unset, then `defaultMaxRetries` will be used.

    Parameters:
      `maxRetries` - New maxRetries value. Default value is null
    Returns:
      `DataBoundAIRequest` instance, for chaining setter calls

  - ### getMaxRetries

    public Integer getMaxRetries()
    The maximum number of retries for any one particular request to AI.

    Note that multiple AI requests may be involved in processing the data-bound AI request. This limit is the maximum number of retries of any one request. For example, if there are 2 requests made to AI, then each one would be submitted at most `1 + maxRetries` number of times for up to `2 * (1 + maxRetries)` total requests.

    If unset, then `defaultMaxRetries` will be used.

    Returns:
      Current maxRetries value. Default value is null